import type { ValidatorType } from './core/Validator';
export declare type Errors = ValidatorType;
declare class VueApiQuery {
    install(Vue: any): void;
}
export { default as Validator } from './core/Validator';
export { default as BaseProxy } from './core/BaseProxy';
export { default as BaseTransformer } from './core/BaseTransformer';
export { default as PaginationTransformer } from './core/PaginationTransformer';
declare const _default: VueApiQuery;
export default _default;
declare module '@nuxt/types' {
    interface Context {
        $errors: Errors;
    }
    interface NuxtAppOptions {
        $errors: Errors;
    }
}
declare module 'vue/types/vue' {
    interface Vue {
        $errors: Errors;
    }
}
