"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PaginationTransformer = exports.BaseTransformer = exports.BaseProxy = exports.Validator = void 0;
const Validator_1 = __importDefault(require("./core/Validator"));
class VueApiQuery {
    install(Vue) {
        Vue.mixin({
            beforeCreate() {
                this.$options.$errors = {};
                Vue.util.defineReactive(this.$options, '$errors', Validator_1.default);
                if (!this.$options.computed) {
                    this.$options.computed = {};
                }
                this.$options.computed.$errors = function () {
                    return this.$options.$errors;
                };
            },
        });
    }
}
var Validator_2 = require("./core/Validator");
Object.defineProperty(exports, "Validator", { enumerable: true, get: function () { return __importDefault(Validator_2).default; } });
var BaseProxy_1 = require("./core/BaseProxy");
Object.defineProperty(exports, "BaseProxy", { enumerable: true, get: function () { return __importDefault(BaseProxy_1).default; } });
var BaseTransformer_1 = require("./core/BaseTransformer");
Object.defineProperty(exports, "BaseTransformer", { enumerable: true, get: function () { return __importDefault(BaseTransformer_1).default; } });
var PaginationTransformer_1 = require("./core/PaginationTransformer");
Object.defineProperty(exports, "PaginationTransformer", { enumerable: true, get: function () { return __importDefault(PaginationTransformer_1).default; } });
exports.default = new VueApiQuery();
